Subject: Re: Sharing merge conflict resolution between multiple developers

From: Jeff King <[email-masked]>
Date: Sun, 17 Aug 2014 03:52:50 -0400

On Mon, Aug 11, 2014 at 04:59:15PM +1200, Chris Packham wrote:

> Is there any way where we could share the conflict resolution around
> but still end up with a single merge commit. I'm thinking of something
> like the following workflow

This came up once a while back. Here's the discussion:

  http://thread.gmane.org/gmane.comp.version-control.git/169187

I proposed a solution there where developers push their partial
resolutions, and the integrator (or just "next person" if it is a chain
of developers) uses "git checkout" to pull the fixes. But note that I
never actually _used_ that in practice. It was a thought experiment, so
there may be gotchas.

-Peff